import * as antlr from "antlr4ng";
import { MongoParserVisitor } from "./MongoParserVisitor.js";
export declare class MongoParser extends antlr.Parser {
    static readonly DB = 1;
    static readonly FIND = 2;
    static readonly FIND_ONE = 3;
    static readonly FIND_ONE_AND_DELETE = 4;
    static readonly FIND_ONE_AND_REPLACE = 5;
    static readonly FIND_ONE_AND_UPDATE = 6;
    static readonly SHOW_RECORD_ID = 7;
    static readonly RETURN_KEY = 8;
    static readonly FILTER = 9;
    static readonly MIN = 10;
    static readonly MAX = 11;
    static readonly SORT = 12;
    static readonly LIMIT = 13;
    static readonly EXPLAIN = 14;
    static readonly HINT = 15;
    static readonly SKIP_ = 16;
    static readonly INSERT_ONE = 17;
    static readonly INSERT_MANY = 18;
    static readonly LBRACKET = 19;
    static readonly RBRACKET = 20;
    static readonly LPAREN = 21;
    static readonly RPAREN = 22;
    static readonly LBRACE = 23;
    static readonly RBRACE = 24;
    static readonly COLON = 25;
    static readonly COMMA = 26;
    static readonly SEMICOLON = 27;
    static readonly DOT = 28;
    static readonly TRUE = 29;
    static readonly FALSE = 30;
    static readonly NULL = 31;
    static readonly STRING = 32;
    static readonly NUMBER = 33;
    static readonly NUMERIC_LITERAL = 34;
    static readonly SYMBOL = 35;
    static readonly IDENTIFIER = 36;
    static readonly SINGLE_LINE_COMMENT = 37;
    static readonly MULTI_LINE_COMMENT = 38;
    static readonly WS = 39;
    static readonly RULE_root = 0;
    static readonly RULE_commands = 1;
    static readonly RULE_command = 2;
    static readonly RULE_collectionOperation = 3;
    static readonly RULE_collectionName = 4;
    static readonly RULE_collectionMethod = 5;
    static readonly RULE_insertManyMethod = 6;
    static readonly RULE_insertManyArgument1 = 7;
    static readonly RULE_insertManyArgument2 = 8;
    static readonly RULE_insertOneMethod = 9;
    static readonly RULE_insertOneArgument1 = 10;
    static readonly RULE_insertOneArgument2 = 11;
    static readonly RULE_documentToInsert = 12;
    static readonly RULE_findOneAndUpdateMethod = 13;
    static readonly RULE_findOneAndUpdateArgument1 = 14;
    static readonly RULE_findOneAndUpdateArgument2 = 15;
    static readonly RULE_findOneAndUpdateArgument3 = 16;
    static readonly RULE_findOneAndReplaceMethod = 17;
    static readonly RULE_findOneAndReplaceArgument1 = 18;
    static readonly RULE_findOneAndReplaceArgument2 = 19;
    static readonly RULE_findOneAndReplaceArgument3 = 20;
    static readonly RULE_findOneAndDeleteMethod = 21;
    static readonly RULE_findOneAndDeleteArgument1 = 22;
    static readonly RULE_findOneAndDeleteArgument2 = 23;
    static readonly RULE_findOneMethod = 24;
    static readonly RULE_findOneArgument1 = 25;
    static readonly RULE_findOneArgument2 = 26;
    static readonly RULE_findMethod = 27;
    static readonly RULE_findMethodArgument1 = 28;
    static readonly RULE_findMethodArgument2 = 29;
    static readonly RULE_explainMethod = 30;
    static readonly RULE_explainMethodArgument = 31;
    static readonly RULE_findMethodModifier = 32;
    static readonly RULE_skipModifier = 33;
    static readonly RULE_skipModifierArgument = 34;
    static readonly RULE_limitModifier = 35;
    static readonly RULE_limitModifierArgument = 36;
    static readonly RULE_filterModifier = 37;
    static readonly RULE_filterModifierArgument = 38;
    static readonly RULE_minModifier = 39;
    static readonly RULE_minModifierArgument = 40;
    static readonly RULE_maxModifier = 41;
    static readonly RULE_maxModifierArgument = 42;
    static readonly RULE_hintModifier = 43;
    static readonly RULE_hintModifierArgument = 44;
    static readonly RULE_returnKeyModifier = 45;
    static readonly RULE_returnKeyModifierArgument = 46;
    static readonly RULE_showRecordIdModifier = 47;
    static readonly RULE_showRecordIdModifierArgument = 48;
    static readonly RULE_sortModifier = 49;
    static readonly RULE_sortModifierArgument1 = 50;
    static readonly RULE_sortModifierArgument2 = 51;
    static readonly RULE_reservedKeyword = 52;
    static readonly RULE_json5 = 53;
    static readonly RULE_object = 54;
    static readonly RULE_pair = 55;
    static readonly RULE_boolean = 56;
    static readonly RULE_key = 57;
    static readonly RULE_identifier = 58;
    static readonly RULE_value = 59;
    static readonly RULE_array = 60;
    static readonly RULE_number = 61;
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly ruleNames: string[];
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    protected createFailedPredicateException(predicate?: string, message?: string): antlr.FailedPredicateException;
    constructor(input: antlr.TokenStream);
    root(): RootContext;
    commands(): CommandsContext;
    command(): CommandContext;
    collectionOperation(): CollectionOperationContext;
    collectionName(): CollectionNameContext;
    collectionMethod(): CollectionMethodContext;
    insertManyMethod(): InsertManyMethodContext;
    insertManyArgument1(): InsertManyArgument1Context;
    insertManyArgument2(): InsertManyArgument2Context;
    insertOneMethod(): InsertOneMethodContext;
    insertOneArgument1(): InsertOneArgument1Context;
    insertOneArgument2(): InsertOneArgument2Context;
    documentToInsert(): DocumentToInsertContext;
    findOneAndUpdateMethod(): FindOneAndUpdateMethodContext;
    findOneAndUpdateArgument1(): FindOneAndUpdateArgument1Context;
    findOneAndUpdateArgument2(): FindOneAndUpdateArgument2Context;
    findOneAndUpdateArgument3(): FindOneAndUpdateArgument3Context;
    findOneAndReplaceMethod(): FindOneAndReplaceMethodContext;
    findOneAndReplaceArgument1(): FindOneAndReplaceArgument1Context;
    findOneAndReplaceArgument2(): FindOneAndReplaceArgument2Context;
    findOneAndReplaceArgument3(): FindOneAndReplaceArgument3Context;
    findOneAndDeleteMethod(): FindOneAndDeleteMethodContext;
    findOneAndDeleteArgument1(): FindOneAndDeleteArgument1Context;
    findOneAndDeleteArgument2(): FindOneAndDeleteArgument2Context;
    findOneMethod(): FindOneMethodContext;
    findOneArgument1(): FindOneArgument1Context;
    findOneArgument2(): FindOneArgument2Context;
    findMethod(): FindMethodContext;
    findMethodArgument1(): FindMethodArgument1Context;
    findMethodArgument2(): FindMethodArgument2Context;
    explainMethod(): ExplainMethodContext;
    explainMethodArgument(): ExplainMethodArgumentContext;
    findMethodModifier(): FindMethodModifierContext;
    skipModifier(): SkipModifierContext;
    skipModifierArgument(): SkipModifierArgumentContext;
    limitModifier(): LimitModifierContext;
    limitModifierArgument(): LimitModifierArgumentContext;
    filterModifier(): FilterModifierContext;
    filterModifierArgument(): FilterModifierArgumentContext;
    minModifier(): MinModifierContext;
    minModifierArgument(): MinModifierArgumentContext;
    maxModifier(): MaxModifierContext;
    maxModifierArgument(): MaxModifierArgumentContext;
    hintModifier(): HintModifierContext;
    hintModifierArgument(): HintModifierArgumentContext;
    returnKeyModifier(): ReturnKeyModifierContext;
    returnKeyModifierArgument(): ReturnKeyModifierArgumentContext;
    showRecordIdModifier(): ShowRecordIdModifierContext;
    showRecordIdModifierArgument(): ShowRecordIdModifierArgumentContext;
    sortModifier(): SortModifierContext;
    sortModifierArgument1(): SortModifierArgument1Context;
    sortModifierArgument2(): SortModifierArgument2Context;
    reservedKeyword(): ReservedKeywordContext;
    json5(): Json5Context;
    object(): ObjectContext;
    pair(): PairContext;
    boolean_(): BooleanContext;
    key(): KeyContext;
    identifier(): IdentifierContext;
    value(): ValueContext;
    array(): ArrayContext;
    number_(): NumberContext;
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): antlr.ATN;
    private static readonly vocabulary;
    get vocabulary(): antlr.Vocabulary;
    private static readonly decisionsToDFA;
}
export declare class RootContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    EOF(): antlr.TerminalNode;
    commands(): CommandsContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class CommandsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    command(): CommandContext;
    SEMICOLON(): antlr.TerminalNode | null;
    commands(): CommandsContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class CommandContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    collectionOperation(): CollectionOperationContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class CollectionOperationContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    DB(): antlr.TerminalNode;
    DOT(): antlr.TerminalNode[];
    DOT(i: number): antlr.TerminalNode | null;
    collectionName(): CollectionNameContext;
    collectionMethod(): CollectionMethodContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class CollectionNameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    IDENTIFIER(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class CollectionMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    findMethod(): FindMethodContext | null;
    findOneMethod(): FindOneMethodContext | null;
    findOneAndDeleteMethod(): FindOneAndDeleteMethodContext | null;
    findOneAndReplaceMethod(): FindOneAndReplaceMethodContext | null;
    findOneAndUpdateMethod(): FindOneAndUpdateMethodContext | null;
    insertOneMethod(): InsertOneMethodContext | null;
    insertManyMethod(): InsertManyMethodContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class InsertManyMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    INSERT_MANY(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    insertManyArgument1(): InsertManyArgument1Context;
    RPAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode | null;
    insertManyArgument2(): InsertManyArgument2Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class InsertManyArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    LBRACKET(): antlr.TerminalNode;
    documentToInsert(): DocumentToInsertContext[];
    documentToInsert(i: number): DocumentToInsertContext | null;
    RBRACKET(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class InsertManyArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class InsertOneMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    INSERT_ONE(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    insertOneArgument1(): InsertOneArgument1Context;
    RPAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode | null;
    insertOneArgument2(): InsertOneArgument2Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class InsertOneArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    documentToInsert(): DocumentToInsertContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class InsertOneArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class DocumentToInsertContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext | null;
    array(): ArrayContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndUpdateMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    FIND_ONE_AND_UPDATE(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    findOneAndUpdateArgument1(): FindOneAndUpdateArgument1Context;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    findOneAndUpdateArgument2(): FindOneAndUpdateArgument2Context;
    RPAREN(): antlr.TerminalNode;
    findOneAndUpdateArgument3(): FindOneAndUpdateArgument3Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndUpdateArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndUpdateArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndUpdateArgument3Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndReplaceMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    FIND_ONE_AND_REPLACE(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    findOneAndReplaceArgument1(): FindOneAndReplaceArgument1Context;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    findOneAndReplaceArgument2(): FindOneAndReplaceArgument2Context;
    RPAREN(): antlr.TerminalNode;
    findOneAndReplaceArgument3(): FindOneAndReplaceArgument3Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndReplaceArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndReplaceArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndReplaceArgument3Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndDeleteMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    FIND_ONE_AND_DELETE(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    findOneAndDeleteArgument1(): FindOneAndDeleteArgument1Context;
    RPAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode | null;
    findOneAndDeleteArgument2(): FindOneAndDeleteArgument2Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndDeleteArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneAndDeleteArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    FIND_ONE(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    RPAREN(): antlr.TerminalNode;
    findOneArgument1(): FindOneArgument1Context | null;
    COMMA(): antlr.TerminalNode | null;
    findOneArgument2(): FindOneArgument2Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindOneArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    FIND(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    RPAREN(): antlr.TerminalNode;
    findMethodArgument1(): FindMethodArgument1Context | null;
    findMethodModifier(): FindMethodModifierContext[];
    findMethodModifier(i: number): FindMethodModifierContext | null;
    explainMethod(): ExplainMethodContext | null;
    COMMA(): antlr.TerminalNode | null;
    findMethodArgument2(): FindMethodArgument2Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindMethodArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindMethodArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ExplainMethodContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    DOT(): antlr.TerminalNode;
    EXPLAIN(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    RPAREN(): antlr.TerminalNode;
    explainMethodArgument(): ExplainMethodArgumentContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ExplainMethodArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    STRING(): antlr.TerminalNode | null;
    boolean(): BooleanContext | null;
    object(): ObjectContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FindMethodModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    DOT(): antlr.TerminalNode;
    skipModifier(): SkipModifierContext | null;
    limitModifier(): LimitModifierContext | null;
    filterModifier(): FilterModifierContext | null;
    minModifier(): MinModifierContext | null;
    maxModifier(): MaxModifierContext | null;
    hintModifier(): HintModifierContext | null;
    returnKeyModifier(): ReturnKeyModifierContext | null;
    showRecordIdModifier(): ShowRecordIdModifierContext | null;
    sortModifier(): SortModifierContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class SkipModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    SKIP_(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    skipModifierArgument(): SkipModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class SkipModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    number(): NumberContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class LimitModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    LIMIT(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    limitModifierArgument(): LimitModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class LimitModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    number(): NumberContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FilterModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    FILTER(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    filterModifierArgument(): FilterModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class FilterModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class MinModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    MIN(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    minModifierArgument(): MinModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class MinModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class MaxModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    MAX(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    maxModifierArgument(): MaxModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class MaxModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class HintModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    HINT(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    hintModifierArgument(): HintModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class HintModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    object(): ObjectContext | null;
    STRING(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ReturnKeyModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    RETURN_KEY(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    returnKeyModifierArgument(): ReturnKeyModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ReturnKeyModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    boolean(): BooleanContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ShowRecordIdModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    SHOW_RECORD_ID(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    showRecordIdModifierArgument(): ShowRecordIdModifierArgumentContext;
    RPAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ShowRecordIdModifierArgumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    boolean(): BooleanContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class SortModifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    SORT(): antlr.TerminalNode;
    LPAREN(): antlr.TerminalNode;
    sortModifierArgument1(): SortModifierArgument1Context;
    RPAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode | null;
    sortModifierArgument2(): SortModifierArgument2Context | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class SortModifierArgument1Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    json5(): Json5Context;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class SortModifierArgument2Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    number(): NumberContext | null;
    STRING(): antlr.TerminalNode | null;
    object(): ObjectContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ReservedKeywordContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    DB(): antlr.TerminalNode | null;
    FIND(): antlr.TerminalNode | null;
    FIND_ONE(): antlr.TerminalNode | null;
    FIND_ONE_AND_DELETE(): antlr.TerminalNode | null;
    FIND_ONE_AND_REPLACE(): antlr.TerminalNode | null;
    FIND_ONE_AND_UPDATE(): antlr.TerminalNode | null;
    SHOW_RECORD_ID(): antlr.TerminalNode | null;
    RETURN_KEY(): antlr.TerminalNode | null;
    FILTER(): antlr.TerminalNode | null;
    MIN(): antlr.TerminalNode | null;
    MAX(): antlr.TerminalNode | null;
    SORT(): antlr.TerminalNode | null;
    LIMIT(): antlr.TerminalNode | null;
    EXPLAIN(): antlr.TerminalNode | null;
    HINT(): antlr.TerminalNode | null;
    SKIP_(): antlr.TerminalNode | null;
    INSERT_ONE(): antlr.TerminalNode | null;
    INSERT_MANY(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class Json5Context extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    value(): ValueContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ObjectContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    LBRACE(): antlr.TerminalNode;
    pair(): PairContext[];
    pair(i: number): PairContext | null;
    RBRACE(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class PairContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    key(): KeyContext;
    COLON(): antlr.TerminalNode;
    value(): ValueContext;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class BooleanContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    TRUE(): antlr.TerminalNode | null;
    FALSE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class KeyContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    STRING(): antlr.TerminalNode | null;
    identifier(): IdentifierContext | null;
    NUMERIC_LITERAL(): antlr.TerminalNode | null;
    boolean(): BooleanContext | null;
    NULL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class IdentifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    IDENTIFIER(): antlr.TerminalNode | null;
    reservedKeyword(): ReservedKeywordContext | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ValueContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    STRING(): antlr.TerminalNode | null;
    number(): NumberContext | null;
    object(): ObjectContext | null;
    array(): ArrayContext | null;
    boolean(): BooleanContext | null;
    NULL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class ArrayContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    LBRACKET(): antlr.TerminalNode;
    value(): ValueContext[];
    value(i: number): ValueContext | null;
    RBRACKET(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
export declare class NumberContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    NUMERIC_LITERAL(): antlr.TerminalNode | null;
    NUMBER(): antlr.TerminalNode | null;
    SYMBOL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    accept<Result>(visitor: MongoParserVisitor<Result>): Result | null;
}
