import { AutocompleteResultBase, CursorPosition } from '../../shared/autocomplete-types';
import { ExtractStatementPositionsResult } from '../../shared/extract-statement-positions-from-query';
import { RedisCommands } from './redis-tokenize';
export { RedisCommands } from './redis-tokenize';
export interface RedisAutocompleteResult extends AutocompleteResultBase {
    suggestKeys?: boolean;
    suggestStrings?: boolean;
    suggestLists?: boolean;
    suggestSets?: boolean;
    suggestSortedSets?: boolean;
    suggestHashes?: boolean;
}
export declare function parseRedisQueryWithoutCursor(query: string): Pick<RedisAutocompleteResult, 'errors'>;
export declare function parseRedisQuery(query: string, cursor: CursorPosition): RedisAutocompleteResult;
export declare function parseRedisQueryWithCursor(queryWithCursor: string): RedisAutocompleteResult;
export declare function extractRedisStatementPositionsFromQuery(query: string): ExtractStatementPositionsResult;
export declare function extractRedisCommandsFromQuery(query: string): RedisCommands;
